SessionDock Developer Docs
Authoritative guides, generated Local API reference, and practical patterns for local automation, scripts, launchers, and AI agents running alongside SessionDock.
/api/v1/sessions/{id}/tagscurl -X GET 'http://127.0.0.1:18432/api/v1/sessions/session_123/tags' \
-H 'Authorization: Bearer <token>'| Name | In | Type | Required | Description | Example |
|---|---|---|---|---|---|
| id | path | string | Yes | Session identifier. | session_123 |
Session tags
application/json
{
"data": {
"id": "<string>",
"tags": [
"<string>"
]
}
}{
"data": {
"id": "<string>",
"tags": [
"<string>"
]
}
}Missing or invalid bearer token.
application/json
{
"error": {
"status": 0,
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"status": 401,
"code": "unauthorized",
"message": "Provide Authorization: Bearer <token>."
}
}No matching resource was found.
application/json
{
"error": {
"status": 0,
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"status": 404,
"code": "not_found",
"message": "session not found"
}
}